package com.qs.mp.admin.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 用户盲票订单详情出参类
 * @author Cup
 * @date 2022/5/6
 */
@ApiModel("用户盲票订单详情出参类")
@Data
public class UserTicketOrderDetailVO {

    @ApiModelProperty("订单id")
    private String orderId;

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("渠道商名称")
    private String channelName;

    @ApiModelProperty("创建时间")
    private Date createdTime;

    @ApiModelProperty("票相关信息列表")
    private List<UserTicketOrderTicketDetailVO>  ticketDetailList;
}
